# Check Request Processes Check Request Processes ## Gets all of the check request processes in the system. - [GET /checkRequestProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/listcheckrequestprocesses.md): This method will scan all check request processes and and return them to the caller. ## Creates a new check request process record that does not already exist. - [POST /checkRequestProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/createcheckrequestprocess.md): This method will auto-generate an ID and create a new check request process. If an ID is specified for the check request process, an error will be thrown. ## Execute Batch Operations - [POST /checkRequestProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a check request process from the system by its ID. - [DELETE /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/deletecheckrequestprocess.md): This method will delete a check request process with the specified ID. ## Returns a check request process from the system by its ID. - [GET /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/getcheckrequestprocess.md): This method will look up a check request process by the specified ID and return it back. ## Partially updates a check request process with the specified ID. - [PATCH /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/patchcheckrequestprocess.md): This method will patch an existing check request process with the specified ID, using the HTTP PATCH specification. ## Updates a check request process with the specified ID. - [PUT /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/updatecheckrequestprocess.md): This method will update an existing check request process with the specified ID.